Skip to main content
POST
/
v1
/
contracts
/
amend
Amend a contract
curl --request POST \
  --url https://api.metronome.com/v1/contracts/amend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
  "contract_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
  "starting_at": "2020-01-01T00:00:00.000Z"
}
'
import requests

url = "https://api.metronome.com/v1/contracts/amend"

payload = {
"customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d",
"contract_id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc",
"starting_at": "2020-01-01T00:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '13117714-3f05-48e5-a6e9-a66093f13b4d',
contract_id: 'd7abd0cd-4ae9-4db7-8676-e986a4ebd8dc',
starting_at: '2020-01-01T00:00:00.000Z'
})
};

fetch('https://api.metronome.com/v1/contracts/amend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "d7abd0cd-4ae9-4db7-8676-e986a4ebd8dc"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Amend a contract

customer_id
string<uuid>
required

ID of the customer whose contract is to be amended

contract_id
string<uuid>
required

ID of the contract to amend

starting_at
string<date-time>
required

inclusive start time for the amendment

commits
object[]
credits
object[]
overrides
object[]
scheduled_charges
object[]
custom_fields
object

Custom fields to be added eg. { "key1": "value1", "key2": "value2" }

Response

Success

data
object
required